Bug 7958 - Add CLOCKSS license to LOCKSS manifest
Add CLOCKSS license to LOCKSS manifest
Status: REOPENED
Product: OJS
Classification: Unclassified
Component: Open Journal Systems
3.0
All All
: P3 enhancement
Assigned To: Jason Nugent
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 04:09 PDT by Martin Paul Eve
Modified: 2013-05-29 15:11 PDT (History)
4 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch to implement (903 bytes, patch)
2012-10-21 10:34 PDT, Martin Paul Eve
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Paul Eve 2012-10-10 04:09:33 PDT
As CLOCKSS is a subsidiary of LOCKSS, it would be ideal if the CLOCKSS logo and permission statement was added, by default, to the LOCKSS manifest page.

Patch is trivial (apologies for not packaging into format but I don't have a git repo setup here at present):

        <a href="http://clockss.org/"><img src="http://board.clockss.org/images/clockss_logo_114x110.jpg" style="border: 0;" alt="CLOCKSS" /></a>
        <br />
        CLOCKSS system has permission to collect, preserve, and serve this Archival Unit.
Comment 1 Martin Paul Eve 2012-10-21 10:34:18 PDT
Created attachment 3879 [details]
Patch to implement

This is a patch against stable-2_4. I'm afraid my git skillset is not yet up to working against the most recent version.
Comment 2 Jason Nugent 2012-10-24 08:55:01 PDT
Add CLOCKSS license to LOCKSS manifest
https://github.com/pkp/ojs/commit/11f1dd7b4cf7d7418959f688f6f9691c28cbc16e
Comment 3 Jason Nugent 2012-10-24 08:55:27 PDT
Thanks, Martin -- merged and closed.
Comment 4 Jason Nugent 2012-10-24 09:00:03 PDT
Add CLOCKSS license to LOCKSS manifest
https://github.com/pkp/ojs/commit/b38d1e86c7f918cfcd76baa5bd47eb0bc36f6173
Comment 5 Mark Jordan 2012-10-26 14:49:11 PDT
Hi Martin,

It would be misleading to have the CLOCKSS logo and permission statement on journals that have not negotiated, with CLOCKSS, an agreement to preserve their content. Unlike LOCKSS, which, in theory, anyone can download and use to set up a network of servers to preserve content, CLOCKSS is a closed, dark archive that only preserves content under agreement with publishers.

We've discussed this within the PKP team and we have decided to revert the commit identified in comment #4. Please let us know if you want to discuss this further.
Comment 6 Martin Paul Eve 2012-10-26 14:51:22 PDT
(In reply to comment #5)
> Hi Martin,
> 
> It would be misleading to have the CLOCKSS logo and permission statement on
> journals that have not negotiated, with CLOCKSS, an agreement to preserve
> their content. Unlike LOCKSS, which, in theory, anyone can download and use
> to set up a network of servers to preserve content, CLOCKSS is a closed,
> dark archive that only preserves content under agreement with publishers.
> 
> We've discussed this within the PKP team and we have decided to revert the
> commit identified in comment #4. Please let us know if you want to discuss
> this further.

Funnily enough, I suddenly thought of this myself this evening. I think the way this needs to be done is to have a separate CLOCKSS manifest page (or option) that selectively activates the permission and logo statement... if I get some time (ha!) I'll see if I can implement this (although I'm very new to OJS core development)
Comment 7 Jason Nugent 2012-10-26 15:15:02 PDT
REVERT: Add CLOCKSS license to LOCKSS manifest
https://github.com/pkp/ojs/commit/c5cd146181ceb6d49d5e2e2de67c1565745a2da9
Comment 8 Jason Nugent 2012-10-26 15:15:03 PDT
REVERT: Add CLOCKSS license to LOCKSS manifest
https://github.com/pkp/ojs/commit/e9b9acafb32300e2bb1c05188a582967185f3f4d
Comment 9 Alec Smecher 2012-10-26 16:50:02 PDT
Removed custom CAPTCHA classes
https://github.com/pkp/harvester/commit/b0d7c67f35f5a27fba667774d5d83ab4a6b4b4c5
Comment 10 Alec Smecher 2012-10-26 17:03:16 PDT
Sorry, comment #9 should be on bug #7985.
Comment 11 Martin Paul Eve 2012-11-02 04:42:41 PDT
OK, I've had some time to to look at this and have implemented the CLOCKSS manifest as a separate archival option with its own settings in the same way as LOCKSS. It now gets its own gateway manifest page (/clockss).

The commit itself is here: https://github.com/MartinPaulEve/ojs/commit/8012b5e8e27f6e6b2d69b37e826dbc0632dd3229

I wasn't sure exactly what I'm supposed to do re. localization (stubs?); I'm sadly effectively monolingual.

I sent a pull request on GitHub with the following message:

"As per the discussion at http://pkp.sfu.ca/bugzilla/show_bug.cgi?id=7958, I've implemented this in a proper, separated out fashion.

I was unsure as to what I was supposed to do re. localization, but if more is required and advice can be given, I'm willing to have a further go at this (although I'm sadly monolingual)."

Please let me know if this is OK, or if not, what more I can do to make it OK! (this is my first attempt at OJS dev work)
Comment 12 Martin Paul Eve 2012-11-10 07:48:38 PST
Just a heads-up that, following a GitHub discussion, I've retracted the previous pull request and resubmitted a revised patch.
Comment 13 James MacGregor 2013-05-29 15:11:28 PDT
Hey Jason, just moving this to 3.0 and assigning to you to take a look. Please feel free to reassign as you see fit.